Subject: Re: bug#43887: 28.0.50; in HELLO: Javanese (Jawa) System.out.println("Sugeng siang!");

From: Mattias Engdegård <[email-masked]>
Date: Tue, 20 Oct 2020 11:19:15 +0200

Eli is entirely right -- this file isn't a catalogue of how to say hello in different languages but a way to show off Emacs's character set capabilities. (Somewhat less impressive these days than when it was created, but nothing to be sneezed at.)

I therefore propose removal of the all-ASCII lines for: C (silly), Dutch, Emacs (not very useful for someone already looking at the buffer), Italian and Norwegian.

There are also way too many lines that only demonstrate the Latin-1 subset, of which we should keep only one or two: Danish, Estonian, Finnish, French, German, Hungarian, Spanish, Swedish and Turkish.

Of these, I suggest keeping German (for the ß which is sometimes rendered ambiguously to share glyph with Greek β) and Spanish (for the non-alphabetic ¡), or maybe Estonian (smallest language of the bunch; I root for underdogs) or Finnish (for its glorious salvo of 'ä's).

Every humdrum line is one that displaces an exciting one. If this file has any relevance today, it should be the variety and wonder of human writing systems that Emacs can display.

(I also question the oversized copyright notice for this file but at least it's relegated to the bottom where nobody will read it. It feels like one of those corporate email signatures.)